#
#Licensed to the Apache Software Foundation (ASF) under one
#or more contributor license agreements.  See the NOTICE file
#distributed with this work for additional information
#regarding copyright ownership.  The ASF licenses this file
#to you under the Apache License, Version 2.0 (the
#"License"); you may not use this file except in compliance
#with the License.  You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
#Unless required by applicable law or agreed to in writing,
#software distributed under the License is distributed on an
#"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
#KIND, either express or implied.  See the License for the
#specific language governing permissions and limitations
#under the License.
#
module OdpsDatahub
  $INVALID_ARGUMENT = "InvalidArgument"
  $SCHEMA_NOT_MATCH = "SchemaNotMatch"
  $PACK_SIZE_EXCEED = "PackSizeExceed"
  $ACCESS_DENIED = "AccessDenied"

  class OdpsDatahubException < StandardError
    attr_reader :mMessage, :mErrorCode, :mRequestId
    def initialize(code, msg, reqId = "")
      @mMessage = msg
      @mErrorCode = code
      @mRequestId = reqId
    end

    def getMessage
      @mMessage
    end

    def getCode
      @mErrorCode
    end

    def getRequestId
      @mRequestId
    end

    def to_s
      return "ErrorCode: " + @mErrorCode + ", Message: " + @mMessage + ", requestId:" + @mRequestId
    end
  end
end